# Réunion Nounous

* Date : Jeudi 3 novembre 2011
* Lieu : Pavillon des Jardins
* Début : 19h19
* Fin : 21h08

## Présents

* Daniel Stan
* Michel Blockelet
* Nicolas Dandrimont
* Olivier Iffrig
* Raphaël Cauderlier
* Steven Masfaraud
* Valentin Samir
* Vanessa Verbeke
* Vincent Maïoli
* Xavier Lagorce
* Yann Duplouy

## Ordre du jour

### Encadrement des apprentis

Selon le règlement intérieur du Cr@ns, chaque apprenti doit avoir une Nounou qui
l'encadre et qui est responsable de lui.

Les absents ayant toujours tort, on va assigner des encadrants de force :

* Benjamin A. sera encadré par Nicolas D.
* Julien sera encadré par Raphaël
* Sylvain sera encadré par Olivier
* Yann sera encadré par Valentin
* Johan sera encadré par Michel
* Jonathan sera encadré par Raphaël
* Vincent L.G. sera encadré par Daniel
* Steven sera encadré par Nicolas D.
* Aurore MM. sera encadré par Raphaël
* Luc sera encadré par Vincent M.
* Aurore Q. sera encadrée par Michel
* Judith sera encadrée par Michel
* Vanessa sera encadrée par Xavier
* Larissa sera encadrée par Olivier
* Pierre-Elliott sera encadré par Daniel

### STEF

Un représentant du STEF est venu il y a 2 semaines à la réunion CA pour proposer
au Cr@ns de participer à leur cycle de séminaires en faisant une présentation,
par exemple sur le logiciel libre.

Il n'y a pas de volontaires.

### Astreintes des nounous

Chaque jour ouvré, les Nounous sont d'astreinte pour aider les câbleurs en cas
de problème. On a fini de remplir le planning de permanences.

### Munin

Dyson a été mis à jour vers squeeze grâce à Vincent et Sylvain. La config de
munin a été copiée sur Dyson, qui a fonctionné 24h avant de planter...
Apparement, cela ne marchait pas beaucoup plus vite (problème de config ?) que
sur le DomU.

On peut regarder soit du côté de munin 2 qui serait plus efficace, soit on peut
essayer de reprendre à zéro, en prenant peut-être un autre outil de monitoring.

### Recrudescence du peer-to-peer

On a reçu ces derniers temps plusieurs mails de la DSI à propos de machines
faisant du p2p, ce qui a mis en évidence un problème au niveau du firewall, dû à
deux problèmes : la partition de /var/log était plein, ce qui empêchait les
scripts de voir qui fait du p2p; et au niveau du firewall, les paquets n'étaient
pas bloqués.

Pour ce qui s'agit des logs du syslog refiltrés derrière, on réfléchit à une
solution pour ne pas avoir à écrire des logs.

Olivier s'occupe d'envoyer un mail à la DSI.

### WiFi

#### Audit de la couverture

Raphaël et Steven se sont baladés dans le bâtiment B pour chercher les zones
d'ombre. C'est surtout à l'aile du 3e étage que la couverture est mauvaise.

Daniel a commencé à coder une interface en Open Layers pour afficher et
enregistrer les données de couverture.

#### Mise à jour des bornes

Nicolas a fait un firmware à jour qui fonctionne pour les anciennes bornes, et
qui règle le problème du cache des authentifications ratées. Il faudrait le
déployer sur toutes les bornes.

#### Configuration automatique des bornes

Avant, les bornes récupéraient automatiquement leur configuration. On peut
profiter de la mise à jour à faire pour se pencher sur le sujet.

### Script de détection des déménagements

/usr/scripts/surveillance/demenagement.py à remettre en marche sur les serveurs
radius.

### Choses à faire au Cr@ns

Il y a plein de choses à faire au Cr@ns, et les jeunes ne se motivent pas trop
pour se pencher dessus, parfois par manque de connaissances.

Olivier propose de faire une liste des choses à faire sous forme d'arbre. Ça
rejoint l'idée de faire un recensement de tous les services sur chacun des
serveurs.

Les choses à faire ne sont pas forcément de nouveaux services à mettre en place,
mais aussi des petits problèmes au jour le jour à régler, ce qui est souvent
fait par les mêmes personnes. Il faudrait que les plus jeunes se sentent plus
impliqués.

Le problème du tracker est qu'il est trop complexe, et accessible principalement
par l'interface web, et aussi par mail. Nicolas propose d'utiliser debbugs.

Ça peut aussi être bien d'avoir un bot IRC permettant de signaler facilement via
IRC les bugs (et d'enregistrer les dernières lignes).

Bug n°2 : Il faudrait mettre à jour l'ensemble des documentations disponibles
sur le Wiki.

Par ailleurs, pour les gros projets, il faut que les apprentis soient mieux
encadrés, quitte à ce que la Nounou s'implique dans le projet et y participe.

### DHCPv6

Sylvain s'est penché sur la question, et n'a trouvé aucun serveur DHCPv6 qui
fasse de l'EUI64 (ce qui paraît logique en soi). Deux solutions sont possibles :

* Générer un fichier de configuration statique, comme pour l'IPv4
* Recoder un serveur DHCPv6, qui filtre les machines à qui elle donne des IPs
  (cette solution est celle préconisée par Sylvain)

### Utilisation du 2B

On a constaté qu'au 2B, il y a souvent du monde, mais très peu de productivité
dans l'air. L'idée est d'établir des règles. Dans un premier temps, on va en
discuter, et les appliquer si nécessaire.

L'idée est néanmoins de poser des "grands principes" par écrit, et de voir si la
situation s'améliore. On pourrait passer aux règles si aucune amélioration n'est
constatée, mais ce n'est pas la première chose à faire.

Les afficher au 2B en A4 quelque part.

On veut garder le 2B dans un état propre (tout est relatif)... pas trop sale.

On va écrire des grands principes d'utilisation du 2B, deadline : la prochaine
inter-nounous.

### Workshop Scripts

Il n'a pas vraiment eu lieu, mais des gens se sont penchés sur les scripts.
Vincent a commencé à documenter les scripts. Valentin s'est penché sur la base
LDAP, d'une part pour l'optimisation des méthodes qui prennent du temps, et
d'autre part sur la cohérence des données entre la base réelle et les checks
faits par le binding. Les commits sont sur git.crans.org .

### Questions diverses

####  Séminaire OCaml / Ocsigen

Dr. Chicco a proposé d'organiser un séminaire sur OCaml et Ocsigen, et voulait
savoir si il y avait des personnes intéressées. On peut voir pour en faire un
(ou plusieurs) séminaire(s) "grand public", de même qu'avec LaTeX, etc. À faire
de préférence avant les départs en stage.
